Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
integration von mySQL-Daten aus einer früheren Version von myBB
#1
Ich habe mit meinem Forum auf einen neuen Server umziehen müssen und wollte die Gelegenheit wahrnehmen, mit dem Umzug ein Upgrade von Version 1.2.14 auf 1.4.10 vorzunehmen. Das ist dann mal fürchterlich in die Hose gegangen, nun sitze ich seit Tagen hier und versuche mich an einer Rekonstruktion des alten Zustandes auf der Basis von 1.4.10. Ich habe das Forum durchforstet und bin nur noch verwirrt. Deshalb mein Hilferuf.

Ich habe das alte Forum und die zugehörige Datenbank gesichert. Auf dem neuen Server habe ich myBB in der Version 1.4.10 installiert und die user manuell neu angelegt, dabei habe ich mich der Daten aus der mySQL-Tabelle mybb_users bedient. Das klappt dann auch soweit ganz gut und ich kann den Betrieb aufrecht erhalten. Probleme haben allerdings Nutzer des IE, deren Browser bei Aufrufen des URL http://www.lankafirst.de/forum abschmiert. Kann das mit den aus der alten Datenbank übernommenen Zugangsdaten zu tun haben? Und wie stelle ich das ab?

Ein weiteres meiner Probleme ist die Integration der Daten aus der alten Datenbank in die neue, immerhin weit über 5.000 Datensätze. Leider sind meine Kenntnisse von PHP und mySQL sehr begrenzt und ich weiss nun einfach nicht weiter. Es wäre schön, könnte sich jemand erbarmen und mir bei der Lösung meiner Probleme helfen.
Gruß
nucleus
.: Terror ist der Krieg der Armen, Krieg der Terror der Reichen :.
#2
Es gab einige Änderungen in der Datenbank, weshalb die Daten nicht einfach übernommen werden können. Das Upgrade-Skript muss die Daten vorher aktualisieren.

Dass ein Browser abstürzt, ist sehr ungewöhnlich.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#3
(23.12.2009, 10:03)StefanT schrieb: Es gab einige Änderungen in der Datenbank, weshalb die Daten nicht einfach übernommen werden können. Das Upgrade-Skript muss die Daten vorher aktualisieren.
Das war mir bekannt aber das Upgradescript hat bei meinen mehrfachen Versuchen leider gestreikt und ich musste unter starkem zeitlichen Druck handeln. Dehalb habe ich nur noch Sicherheitskopien der alten Datenbank (1.2.14) und eben die Neuinstallation.
StefanT schrieb:Dass ein Browser abstürzt, ist sehr ungewöhnlich.
Diesen Absturz haben mir mehrere IE-Nutzer gemeldet. Vielleicht versuchst Du es selbst einmal unter dem o.g. URL. Gerne richte ich Dir einen Testaccount ein.
Gruß
nucleus
.: Terror ist der Krieg der Armen, Krieg der Terror der Reichen :.
#4
Was ist denn gescheitert? Das Upgrade funktioniert eigentlich sehr zuverlässig.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#5
Da schon einige Zeit her, vermag ich mich nicht mehr an den Fehler zu erinnern, glaube aber, dass das Script während der Installation immer hängen blieb.

Sollte ich vielleicht die version 1.2.14 nochmals installieren und versuchen die ursprüngliche version mit den gesicherten Daten wieder herzustellen?
Gruß
nucleus
.: Terror ist der Krieg der Armen, Krieg der Terror der Reichen :.
#6
Es reicht eigentlich die Datenbank und der Ordner uploads. Die anderen Dateien werden beim Update ja überschrieben.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#7
Da die Version 1.2.14 nicht mehr auf dem Server liegt muss ich dann wohl eine Neuinstallation vornehmen und die alte Datenbank hochladen. Ist das richtig?
Gruß
nucleus
.: Terror ist der Krieg der Armen, Krieg der Terror der Reichen :.
#8
Nein, lade einfach die aktuelle Version hoch, importiere die alte Datenbank und erstelle eine inc/config.php: https://www.mybb.de/doku/sonstiges/datei...igphp.html
Danach solltest du das Upgrade-Script ausführen können.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#9
Ich habe bereits unter http://www.lankafirst.de/forum eine aktuelle Installation, die unter Firefox und Opera auch vorzüglich läuft. Lediglich der IE macht Schwierigkeiten. Diese Installation hat damit auch eine funktionierende inc/config.php in der mit der Datenbank xxxxxxxxxxxxx_2 verbunden wird.

Wenn ich die aktuelle Datenbank xxxxxxxxxxxxx_2 nun sichere, kann ich dann denn ohne dass ich etwas zerschiesse die alte Datenbank xxxxxxxxxx_1 so ohne weiteres importieren?
Gruß
nucleus
.: Terror ist der Krieg der Armen, Krieg der Terror der Reichen :.
#10
Ja, das könnte auch funktionieren. Allerdings kannst du auch gerade nochmal alle Dateien hochladen. Wink
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.